return {
	"stevearc/conform.nvim",
	event = { "BufReadPre", "BufNewFile" },
	config = function()
		local conform = require("conform")

		conform.setup({
			formatters_by_ft = {
				javascript = { "prettier" },
				typescript = { "prettier" },
				javascriptreact = { "prettier" },
				typescriptreact = { "prettier" },
				svelte = { "prettier" },
				css = { "prettier" },
				-- html = { 'prettier' },
				fish = { "fish_indent" },
				php = { "pretty-php" },
				json = { "yq" },
				yaml = { "yq" },
				markdown = { "prettier" },
				graphql = { "prettier" },
				liquid = { "prettier" },
				sh = { "shfmt" },
				zsh = { "shfmt" },
				batch = { "shfmt", "prettier" },
				lua = { "stylua" },
			},
			format_on_save = {
				lsp_fallback = false,
				async = false,
				timeout_ms = 1000,
			},
		})

		vim.keymap.set({ "n", "v" }, "<leader>mp", function()
			conform.format({
				lsp_fallback = true,
				async = false,
				timeout_ms = 1000,
			})
		end, { desc = "Format file or range (in visual mode)" })
	end,
}
