return {
	"williamboman/mason.nvim",
	dependencies = {
		"williamboman/mason-lspconfig.nvim",
		"WhoIsSethDaniel/mason-tool-installer.nvim",
	},
	config = function()
		-- import mason
		local mason = require("mason")

		-- import mason-lspconfig
		local mason_lspconfig = require("mason-lspconfig")

		local mason_tool_installer = require("mason-tool-installer")

		-- enable mason and configure icons
		mason.setup({
			ui = {
				icons = {
					package_installed = "",
					package_pending = "",
					package_uninstalled = "",
				},
			},
		})

		mason_lspconfig.setup({
			-- list of servers for mason to install
			ensure_installed = {
				"html",
				"cssls",
				"svelte",
				"lua_ls",
				"emmet_ls",
				"hyprls",
				"yamlls",
				-- "intelephense",
				-- "graphql",
				-- "typos_lsp",
				-- "textlsp",
				-- "prismals",
				-- "pyright",
				-- "lemminx",
				-- "tailwindcss",
			},
		})

		mason_tool_installer.setup({
			ensure_installed = {
				"shfmt",
				"prettier",
				"stylua",
				"blade-formatter",
				"html-lsp",
				"docker-compose-language-service",
				"pylint",
				"eslint_d",
			},
		})
	end,
}
